Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.supporting.phylogenetic
Class ColumnConditionalLogProbability

    java.lang.Object
      calhoun.analysis.crf.features.supporting.phylogenetic.ColumnConditionalLogProbability

All Implemented Interfaces:
  java.io.Serializable

    public class ColumnConditionalLogProbability

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`ColumnConditionalLogProbability(java.util.List<int[]> clusters, int eModelNum)`

Method Summary
`double` | `condLogProb(InputSequence<? extends MultipleAlignmentInputSequence.MultipleAlignmentColumn> seq, int pos, int state)`
`int` | `numClusters()`
`int` | `state2cluster(int state)`
`void` | `train(ModelManager modelInfo, java.util.List<? extends TrainingSequence<? extends MultipleAlignmentInputSequence.MultipleAlignmentColumn>> data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnConditionalLogProbability

    public ColumnConditionalLogProbability(java.util.List<int[]> clusters,
                                           int eModelNum)

Method Detail

### numClusters

    public int numClusters()

### state2cluster

    public int state2cluster(int state)

### condLogProb

    public double condLogProb(InputSequence<? extends MultipleAlignmentInputSequence.MultipleAlignmentColumn> seq,
                              int pos,
                              int state)

### train

    public void train(ModelManager modelInfo,
                      java.util.List<? extends TrainingSequence<? extends MultipleAlignmentInputSequence.MultipleAlignmentColumn>> data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD